> For the complete documentation index, see [llms.txt](https://developer.perculus.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.perculus.com/perculus-api/services/katilimci-yonetimi/attandee-delete.md).

# Katılımcı Silme

Bir oturumda bulunan katılımcılarınızı 3 farklı parametre ile silebilirsiniz:

* ATTENDANCE\_CODE&#x20;
* USER\_ID&#x20;
* EMAIL

A**şağıdaki örnekte bir oturumdaki katılımcınızın silmenin yöntemini görebilirsiniz:**

{% tabs %}
{% tab title="CURL" %}
**ATTENDANCE\_CODE parametresi ile silme işlemi**

```bash
curl --location --request DELETE 'https://<DOMAIN>/xapi/session/<SESSION_ID>/attendee/<ATTENDANCE_CODE>' \
--header 'Authorization: Bearer <ACCESS_TOKEN>' \
--header 'Content-Type: application/json' \
--data ''
```

**USER\_ID parametresi ile silme işlemi**

```bash
curl --location --request DELETE 'https://<DOMAIN>/xapi/session/<SESSION_ID>/attendee/<USER_ID>' \
--header 'Authorization: Bearer <ACCESS_TOKEN>' \
--header 'Content-Type: application/json' \
--data ''
```

**EMAIL parametresi ile silme işlemi**

```bash
curl --location --request DELETE 'https://<DOMAIN>/xapi/session/<SESSION_ID>/attendee/<EMAIL>' \
--header 'Authorization: Bearer <ACCESS_TOKEN>' \
--header 'Content-Type: application/json' \
--data ''
```

{% endtab %}

{% tab title="Python" %}
İlk olarak Python SDK'sı yüklenmelidir:

```bash
pip install perculus-sdk
```

SDK'nın yüklendiğinden emin olunduktan sonra aşağıdaki şekilde katılımcılarınızı silebilirsiniz:

```python
from perculus_sdk.client import APIClient

# API client
client = APIClient()

# Set your domain (if you haven't set it before)
client.set_domain("<DOMAIN>")

# Set your credentials(if you haven't set it before)
client.set_credentials(
    access_key="<EMAIL>",
    secret_key="<PASSWORD>",
    account_id="<ACCOUNT_ID>"
)

#DELETE the attandee by ATTENDANCE_CODE
client.attendees.delete_by_attendance_code_or_user_id(
    session_id="<SESSION_ID>",
    attendance_code_or_user_id="<ATTENDANCE_CODE>"
)

#DELETE the attandee by USER_ID
client.attendees.delete_by_attendance_code_or_user_id(
    session_id="<SESSION_ID>",
    attendance_code_or_user_id="<USER_ID>"
)

#DELETE the attandee by EMAIL
client.attendees.delete_by_email(
    session_id="<SESSION_ID>",
    email="<EMAIL>"
)

```

{% endtab %}

{% tab title="C#" %}

```
// ASAP :)
```

{% endtab %}

{% tab title="NodeJS" %}

```
// ASAP :)
```

{% endtab %}

{% tab title="GO" %}

```
// ASAP :)
```

{% endtab %}
{% endtabs %}
